Bug 283 - Xinerama files contain wrong DEC license notice
Summary: Xinerama files contain wrong DEC license notice
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/General (show other bugs)
Version: unspecified
Hardware: All All
: high blocker
Assignee: Alan Coopersmith
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 213
  Show dependency treegraph
 
Reported: 2004-03-07 13:44 UTC by Alan Coopersmith
Modified: 2004-03-06 21:37 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Coopersmith 2004-03-07 13:44:48 UTC
The original Xinerama implementation from DEC contained a license notice which
prohibited redistribution without written permission from DEC.

When preparing the X11R6.5.1 release, Compaq agreed to relicense the code under
their normal X open source license terms, and the X11R6.5.1 files were updated
accordingly.  This change does not seem to have propogated into XFree86, and in
turn, is not present in the current XORG-RELEASE-1 branch, while it is present
in the HEAD branch.

In the original request from Compaq a number of files in the
xc/programs/Xserver/pandix directory were identified - in the new tree the
pandix files are now merged into the dix directory and should presumably be
updated appropriately as well.

The relicensing message from Compaq's X.org representative at the time stated:

It has been brought to our attention that the copyright notice on the Xinerama
files shipped as part of X11R6.4 is incorrect.  These files were inadvertently
shipped from TOG with our sourcekit copyright notice instead of the notice we
normally append to donated source.

The files containing the incorrect copyright notices are:

./lib/Xext/XPanoramiX.c
./include/extensions/panoramiX.h
./include/extensions/panoramiXext.h
./include/extensions/panoramiXproto.h
./programs/Xserver/Xext/panoramiX.c
./programs/Xserver/Xext/panoramiXSwap.c
./programs/Xserver/Xext/panoramiXprocs.c
./programs/Xserver/pandix/dispatch.c
./programs/Xserver/pandix/dixfont.c
./programs/Xserver/pandix/events.c
./programs/Xserver/pandix/main.c
./programs/Xserver/pandix/resource.c
./programs/Xserver/pandix/window.c
./programs/Xserver/panmi/miexpose.c
./programs/Xserver/panmi/mivaltree.c

In addition, the following file was found to have no Digital Equipment copyright
notice in it.

./programs/Xserver/Xext/panoramiXstubs.c

Finally, the following file was found to have incorrect copyright dates:
./programs/Xserver/panmi/miregion.c


We request that you take the following actions before shipping this code.

1.  On the first set of files, please remove the copyright header which reads:

/****************************************************************
*                                                               *
*    Copyright (c) Digital Equipment Corporation, 1991, 1997    *
*                                                               *
*   All Rights Reserved.  Unpublished rights  reserved  under   *
*   the copyright laws of the United States.                    *
*                                                               *
*   The software contained on this media  is  proprietary  to   *
*   and  embodies  the  confidential  technology  of  Digital   *
*   Equipment Corporation.  Possession, use,  duplication  or   *
*   dissemination of the software and media is authorized only  *
*   pursuant to a valid written license from Digital Equipment  *
*   Corporation.                                                *
*                                                               *
*   RESTRICTED RIGHTS LEGEND   Use, duplication, or disclosure  *
*   by the U.S. Government is subject to restrictions  as  set  *
*   forth in Subparagraph (c)(1)(ii)  of  DFARS  252.227-7013,  *
*   or  in  FAR 52.227-19, as applicable.                       *
*                                                               *
*****************************************************************/


In it's place, please insert the following:

/*****************************************************************

Copyright (c) 1991, 1997 Digital Equipment Corporation, Maynard, Massachusetts.

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the \""Software\""), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software.

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED \""AS IS\"", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
DIGITAL EQUIPMENT CORPORATION BE LIABLE FOR ANY CLAIM, DAMAGES, INCLUDING,
BUT NOT LIMITED TO CONSEQUENTIAL OR INCIDENTAL DAMAGES, OR OTHER LIABILITY,
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR
IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Except as contained in this notice, the name of Digital Equipment Corporation
shall not be used in advertising or otherwise to promote the sale, use or other
dealings in this Software without prior written authorization from Digital
Equipment Corporation.

******************************************************************/


2.  Please insert this new copyright notice into the file
./programs/Xserver/Xext/panoramiXstubs.c after the line which reads:

/* $TOG: panoramiXstubs.c /main/3 1997/10/30 16:04:17 kaleb $ */


3.  On the file ./programs/Xserver/panmi/miregion.c, please update the Digital
Equipment copyright dates to include 1991 and 1997.
Comment 1 Alan Coopersmith 2004-03-07 15:46:33 UTC
License updates committed to XORG-CURRENT branch:
  24.  Update license for Xinerama code from DEC to the version requested
       by Compaq for X11R6.5.1 that allows redistribution without written
       permission from DEC.  Originally X.org Defect #9263. 
       freedesktop.org bugzilla #283.  (Alan Coopersmith)

CVS: Modified Files:
CVS:  Tag: XORG-CURRENT
CVS:    programs/Xserver/Xext/xinerama.h
CVS:    programs/Xserver/Xext/panoramiX.h
CVS:    programs/Xserver/dix/dispatch.c programs/Xserver/dix/main.c
CVS:    programs/Xserver/dix/window.c programs/Xserver/dix/dixfonts.c
CVS:    programs/Xserver/dix/events.c programs/Xserver/dix/resource.c
CVS:    programs/Xserver/hw/darwin/quartz_1.3/rootlessValTree.c
CVS:    programs/Xserver/mi/miregion.c programs/Xserver/mi/mivaltree.c
CVS:    programs/Xserver/miext/rootless/rootlessValTree.c
CVS:    CHANGELOG-CURRENT
Comment 2 Alan Coopersmith 2004-03-07 16:37:33 UTC
Committed fix to XORG-RELEASE-1 branch:

 22. Update license for Xinerama code from DEC to the version requested
     by Compaq for X11R6.5.1 that allows redistribution without written
     permission from DEC.  Originally X.org Defect #9263. 
     freedesktop.org bugzilla #283.  (Alan Coopersmith)

CVS: Modified Files:
CVS:  Tag: XORG-RELEASE-1
CVS:    CHANGELOG-RELEASE-1 programs/Xserver/Xext/panoramiX.h
CVS:    programs/Xserver/dix/dispatch.c programs/Xserver/dix/main.c
CVS:    programs/Xserver/dix/window.c programs/Xserver/dix/dixfonts.c
CVS:    programs/Xserver/dix/events.c programs/Xserver/dix/resource.c
CVS:    programs/Xserver/hw/darwin/quartz_1.3/rootlessValTree.c
CVS:    programs/Xserver/mi/miexpose.c programs/Xserver/mi/miregion.c
CVS:    programs/Xserver/mi/mivaltree.c
CVS:    programs/Xserver/miext/rootless/rootlessValTree.c


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.